## geeqie 1.4

=== debian/changelog ===
geeqie (1:1.4-8) unstable; urgency=medium

  * 0006-Fix-618-Avoid-using-PATH_MAX-where-not-available.patch,
    0007-Fix-620-Fix-build-on-x32.patch - Add my email in addition to
    name, otherwise gbp pq import doesn't recognize author
  * Add patch 0009-Bug-Fix-Float-file-list-layout-not-preserved-in-GTK3.patch
    - fixing saveing floating window configuration (Closes: #905814)
  * Upgrade to Standards Version 4.2.0 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 11 Aug 2018 13:48:33 +0200

geeqie (1:1.4-7) unstable; urgency=medium

  * Enable GTK3 build (Closes: #904976)
  * Build-dep on libchamplain-gtk-0.12-dev to enable maps
  * Add patch to fix build on x32
    - 0007-Fix-620-Fix-build-on-x32.patch
  * Add depends on sensible-utils
  * Upgrade to Standards Version 4.1.5 (No changes required)
  * Add patch to fix lintian warning about awk shebang
    - 0008-Add-awk-shebang-to-fix-lintian-warning.patch

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 31 Jul 2018 12:27:13 +0200

geeqie (1:1.4-6) unstable; urgency=medium

  * Add patch to avoid using PATH_MAX where not available - Fixes
    build error on Hurd

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 25 Jun 2018 15:09:14 +0200

geeqie (1:1.4-5) unstable; urgency=medium

  * Refresh patches
  * Add patch 0003-Thumbnail-all-files-if-filtering-is-disabled -
    Fixes No longer showing thumbnails for extensionless JPG
    (Closes: #887790)
  * Add patch 0004-Fix-609-Crash-on-View-in-New-Window-if-no-image-acti.patch
    Fixes Crash when trying to view image in new Window, and you don't have
    and image active (Closes: #898604)
  * Add patch 0005-Fix-523-Esc-in-Really-continue-copy-confirmation-dia.patch
    Fixes crash when pressing Escape in Really continue dialog
    (Closes: #779427)
  * Fix lintian warnigns debian-rules-uses-unnecessary-dh-argument --parallel
    and useless-autoreconf-build-depends dh-autoreconf

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 14 Jun 2018 19:23:41 +0200

geeqie (1:1.4-4) unstable; urgency=medium

  [ Michal Čihař ]
  * Cleanup debian/control (remove no longer needed breaks from the packaging
    changes in the past).

  [ Andreas Rönnquist ]
  * d/control:
    - Add Rules-Requires-Root: no
    - Migrate Vcs-fields to salsa.debian.org
  * Use DEP-14 branch naming
  * Update Standards-Version to 4.1.4

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 28 Apr 2018 12:29:38 +0200

geeqie (1:1.4-3) unstable; urgency=medium

  * Add patch to trap build errors (Closing: #883526)
  * Install package Copyright instead of patching source to use
    system GPL-2, removing patch link_system_GPL-2_instead_of_package_COPYING
    (Override lintian warning extra-license-file)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 06 Jan 2018 17:03:31 +0100

geeqie (1:1.4-2) unstable; urgency=medium

  * Install AUTHORS and make sure to not compress it
  * Add patch to load system GPL-2 instead of package COPYING

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 05 Jan 2018 01:22:20 +0100

geeqie (1:1.4-1) unstable; urgency=medium

  * New upstream version 1.4
    - Really fixes the problems with trapping errors (Closes: 883526)
  * Remove patch trap_errors_from_make.patch - Fix applied upstream
  * Remove patch geeqie-bug-800350-libstc++-copy-on-write-string -
    fix applied upstream
  * Don't build changelog, required files missing in upstream tar
  * Add myself to uploaders
  * Update to debhelper compat 11
  * Distribute README.md as documentation
  * Add README.md and AUTHORS to removed files
  * Don't remove README before distributing
  * README is removed, remove also from docs
  * Remove trailing whitespace
  * Remove duplicated build-depend on gnome-doc-utils
  * Remove builddepends on autotools-dev
  * Use secure VCS fields
  * Update Standards-Version to 4.1.3 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 03 Jan 2018 23:33:34 +0100

geeqie (1:1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michal Čihař ]
  * Fix path to README shown in the application (Closes: #848873).

  [ Andreas Rönnquist ]
  * Files are moved to geeqie-common, make this change in rules too
  * Add patch trap_errors_from_make.patch, fixes Makefile.am to trap
    errors (Closes: #883526)

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 25 Dec 2017 18:54:31 +0100

=== debian/control ===
Source: geeqie
Maintainer: Michal Čihař <nijel@debian.org>
Uploaders: Andreas Rönnquist <gusnan@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 11),
               libtool,
               autoconf,
               automake,
               libgtk-3-dev,
               libexiv2-dev,
               liblcms2-dev,
               liblircclient-dev,
               intltool,
               gnome-doc-utils,
               imagemagick,
               libtiff-dev,
               libjpeg-dev,
               liblua5.1-0-dev,
               libchamplain-gtk-0.12-dev
Build-Conflicts: libexiv2-dev (= 0.19-2)
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/debian/geeqie
Vcs-Git: https://salsa.debian.org/debian/geeqie.git
Homepage: http://geeqie.org/
Rules-Requires-Root: no

Package: geeqie
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         geeqie-common (= ${source:Version}),
         sensible-utils
Recommends: exiftran,
            exiv2,
            ufraw-batch,
            zenity,
            imagemagick,
            librsvg2-common,
            cups-bsd | lpr
Suggests: gimp,
          xpaint,
          geeqie-dbg,
          libjpeg-progs,
          ufraw
Replaces: gqview
Description: image viewer using GTK+
 Geeqie is a browser for graphics files offering single click viewing of
 your graphics files. It includes thumbnail view, zoom, filtering
 features and external editor support.

Package: geeqie-common
Architecture: all
Depends: ${misc:Depends}
Recommends: geeqie
Description: data files for Geeqie
 Geeqie is a browser for graphics files offering single click viewing of
 your graphics files. It includes thumbnail view, zoom, filtering
 features and external editor support.
 .
 This package contains data files for Geeqie such as documentation or
 locales.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --fail-missing

# build simple version first #
override_dh_auto_configure:
	dh_auto_configure  -- \
		--with-htmldir=/usr/share/doc/geeqie/html \
		--with-readmedir=/usr/share/doc/geeqie-common/ \
		--enable-lirc \
		--enable-gtk3

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/geeqie/html
	dh_auto_install
	rm -f \
		$(CURDIR)/debian/tmp/usr/share/geeqie/template.desktop \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/README.lirc \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/ChangeLog \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/TODO \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/README.md \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/COPYING \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/AUTHORS

override_dh_compress:
	# Readme is shown from program, do not compress it
	dh_compress -XREADME -XAUTHORS -XCOPYING

override_dh_strip:
	dh_strip -a --ddeb-migration='geeqie-dbg (<< 1:1.2.3-1~)'

override_dh_autoreconf:
	dh_autoreconf
	intltoolize --copy --force --automake

## geeqie 1.4+git20180815

=== debian/changelog ===
geeqie (1:1.4+git20180815-1) unstable; urgency=medium

  * New upstream git snapshot 1.4+git20180815
  * Make copyright machine-readable
  * Refresh patch dont_build_changelogs.patch
  * Add patch 0002-Don-t-use-git-version-in-AC_INIT.patch
  * Remove patches (all applied upstream):
    - 0003-Thumbnail-all-files-if-filtering-is-disabled.patch
    - 0004-Fix-609-Crash-on-View-in-New-Window-if-no-image-acti.patch
    - 0005-Fix-523-Esc-in-Really-continue-copy-confirmation-dia.patch
    - 0006-Fix-618-Avoid-using-PATH_MAX-where-not-available.patch
    - 0007-Fix-620-Fix-build-on-x32.patch
    - 0008-Add-awk-shebang-to-fix-lintian-warning.patch
    - 0009-Bug-Fix-Float-file-list-layout-not-preserved-in-GTK3.patch
    - fix_trapping_build_errors.patch

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 14 Aug 2018 18:22:03 +0200

geeqie (1:1.4-9) unstable; urgency=medium

  * Revert GTK3 migration, remove build dependency on 
    libhamplain-gtk-0.12-dev (Closes: #905953)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 12 Aug 2018 18:48:12 +0200

## geeqie 1.4+git20180820

=== debian/changelog ===
geeqie (1:1.4+git20180820-1) unstable; urgency=medium

  * New upstream git snapshot 1.4+git20180820 - removes embedded
    ZoneDetect data (Closes: #906449)
  * Fix version in 0002-Don-t-use-git-version-in-AC_INIT.patch

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 20 Aug 2018 22:29:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libtool,
                autoconf,
                automake,
-               libgtk-3-dev,
+               libgtk2.0-dev,
                libexiv2-dev,
                liblcms2-dev,
                liblircclient-dev,
@@ -16,8 +16,7 @@
                imagemagick,
                libtiff-dev,
                libjpeg-dev,
-               liblua5.1-0-dev,
-               libchamplain-gtk-0.12-dev
+               liblua5.1-0-dev
 Build-Conflicts: libexiv2-dev (= 0.19-2)
 Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/debian/geeqie

## geeqie 1.4+git20181019

=== debian/changelog ===
geeqie (1:1.4+git20181019-1) unstable; urgency=medium

  [ Andreas Rönnquist ]
  * New upstream git snapshot 1.4+git20181019
    - Fix core dump on copying of symlinks - Many thanks
      to Wojciech Muła (Closes: #911247)
    - Use GTK3 print dialog instead of custom (Closes: #678287)
  * Refresh AC_INIT patch with correct version

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 19 Oct 2018 14:25:17 +0200

geeqie (1:1.4+git20180925-1) unstable; urgency=medium

  * New upstream version 1.4+git20180925
    - Document locations of config and state files in man page
      (Closes: #909324)
    - Only allow one instance of Geeqie to be started (Closes: #606115)
  * Update version in AC_INIT patch
  * Update Standards Version to 4.2.1 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 25 Sep 2018 13:37:14 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libjpeg-dev,
                liblua5.1-0-dev
 Build-Conflicts: libexiv2-dev (= 0.19-2)
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian/geeqie
 Vcs-Git: https://salsa.debian.org/debian/geeqie.git
 Homepage: http://geeqie.org/

## geeqie 1.4+git20190106

=== debian/changelog ===
geeqie (1:1.4+git20190106-1) unstable; urgency=medium

  * New upstream git snapshot 1.4+git20190106 (f9213c8a)
  * Update Standards-Version to 4.3.0 (No changes required)
  * Refresh patches
  * Fix changelog faulty wording
  * Fix public-upstream-key-not-minimal
  * Update copyright year for my Debian packaging
  * Fix version number in AC_INIT patch
  * Add git commit hash to version number in patch
  * Update patch to apply to configure.ac instead of configure.in

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 07 Jan 2019 02:19:41 +0100

## geeqie 1.4+git20190121

=== debian/changelog ===
geeqie (1:1.4+git20190121-2) unstable; urgency=medium

  * Add patch to fix crash in some cases in preferences dialog
    when adding new filters - Don't Check for column with title
    'Filter' which won't be the case in translations
    (Closes: #923018)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 26 Feb 2019 02:57:33 +0100

geeqie (1:1.4+git20190121-1) unstable; urgency=medium

  * New upstream version 1.4+git20190121 - Fixes use of uninitialized
    variables, thus fixes crashes (Closes: #920006)
  * Update version information in patch

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 21 Jan 2019 17:17:23 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libjpeg-dev,
                liblua5.1-0-dev
 Build-Conflicts: libexiv2-dev (= 0.19-2)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/geeqie
 Vcs-Git: https://salsa.debian.org/debian/geeqie.git
 Homepage: http://geeqie.org/

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 		--with-htmldir=/usr/share/doc/geeqie/html \
 		--with-readmedir=/usr/share/doc/geeqie-common/ \
 		--enable-lirc \
-		--enable-gtk3
+		--disable-gtk3
 
 override_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/geeqie/html

## geeqie 1.5.1

=== debian/changelog ===
geeqie (1:1.5.1-4) unstable; urgency=medium

  * Add Breaks and Replaces on geeqie-common (<= 1.5.1-2)
    (Closes: #947822)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 31 Dec 2019 13:57:39 +0100

geeqie (1:1.5.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set fields Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Submit (from ./configure).

  [ Andreas Rönnquist ]
  * Add patch to migrate from gnome-doc-utils to yelp-build, and
    add Build-depends on yelp-tools (Closes: #947525)
  * Move man-page from package geeqie-common to package geeqie
  * Fix mime lintian warning quoted-placeholder-in-mailcap-entry '%s'

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 30 Dec 2019 18:31:53 +0100

geeqie (1:1.5.1-2) unstable; urgency=medium

  * Add patch to fix typo in rotation script
  * Upgrade Standards Version to 4.4.1 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 03 Dec 2019 14:59:38 +0100

geeqie (1:1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 20 Aug 2019 23:06:44 +0200

geeqie (1:1.5-3) unstable; urgency=medium

  * Don't compress upstream changelog in one of the packages
  * Remove unused override
  * Update geeqie-common lintian override for changelog-file-not-compressed

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 28 Jul 2019 00:08:15 +0200

geeqie (1:1.5-2) unstable; urgency=medium

  * Fix build directory location, not found on buildds

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 27 Jul 2019 13:37:23 +0200

geeqie (1:1.5-1) unstable; urgency=medium

  * New upstream version 1.5
  * Migrate to Debhelper compat 12
  * Use Standards Version 4.4.0 (No changes required)
  * Remove patches, all applied upstream
      - 0002-Don-t-use-git-version-in-AC_INIT.patch,
      - 0003-Fix-preferences-dialog-file-tab-filter-crash-Closes-.patch,
      - dont-build-changelogs.patch
  * Remove dh_missing override
  * Install upstream ChangeLog without changing it's name, and don't
    compress it
  * Remove ChangeLog.html file that don't get installed
  * Add lintian overrides for the non-compressed changelog files
    (The changelogs are used and visible from the program)

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 26 Jul 2019 23:25:42 +0200

geeqie (1:1.4+git20190121-3) unstable; urgency=medium

  [ Michal Čihař ]
  * Remove myself from maintainers.

  [ Andreas Rönnquist ]
  * Make geeqie-common Multi-Arch foreign (Closes: #924147)
  * Add build depends on libffmpegthumbnailer-dev (Closes: #929127)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 07 Jul 2019 13:54:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: geeqie
-Maintainer: Michal Čihař <nijel@debian.org>
-Uploaders: Andreas Rönnquist <gusnan@debian.org>
+Maintainer: Andreas Rönnquist <gusnan@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libtool,
                autoconf,
                automake,
@@ -12,13 +11,14 @@
                liblcms2-dev,
                liblircclient-dev,
                intltool,
-               gnome-doc-utils,
                imagemagick,
                libtiff-dev,
                libjpeg-dev,
-               liblua5.1-0-dev
+               liblua5.1-0-dev,
+               libffmpegthumbnailer-dev,
+               yelp-tools
 Build-Conflicts: libexiv2-dev (= 0.19-2)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/geeqie
 Vcs-Git: https://salsa.debian.org/debian/geeqie.git
 Homepage: http://geeqie.org/
@@ -42,7 +42,8 @@
           geeqie-dbg,
           libjpeg-progs,
           ufraw
-Replaces: gqview
+Replaces: gqview, geeqie-common (<= 1.5.1-2)
+Breaks: geeqie-common (<= 1.5.1-2)
 Description: image viewer using GTK+
  Geeqie is a browser for graphics files offering single click viewing of
  your graphics files. It includes thumbnail view, zoom, filtering
@@ -52,6 +53,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: geeqie
+Multi-Arch: foreign
 Description: data files for Geeqie
  Geeqie is a browser for graphics files offering single click viewing of
  your graphics files. It includes thumbnail view, zoom, filtering

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --fail-missing
+	dh $@
 
 # build simple version first #
 override_dh_auto_configure:
@@ -18,6 +18,7 @@
 		$(CURDIR)/debian/tmp/usr/share/geeqie/template.desktop \
 		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/README.lirc \
 		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/ChangeLog \
+		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/ChangeLog.html \
 		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/TODO \
 		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/README.md \
 		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/COPYING \
@@ -25,7 +26,8 @@
 
 override_dh_compress:
 	# Readme is shown from program, do not compress it
-	dh_compress -XREADME -XAUTHORS -XCOPYING
+	dh_compress -pgeeqie -XREADME -XAUTHORS -XCOPYING usr/share/doc/geeqie/changelog.Debian
+	dh_compress -pgeeqie-common -XREADME -XAUTHORS -XCOPYING -Xchangelog usr/share/doc/geeqie-common/changelog.Debian
 
 override_dh_strip:
 	dh_strip -a --ddeb-migration='geeqie-dbg (<< 1:1.2.3-1~)'
@@ -33,3 +35,6 @@
 override_dh_autoreconf:
 	dh_autoreconf
 	intltoolize --copy --force --automake
+
+override_dh_installchangelogs:
+	dh_installchangelogs -k ChangeLog

## geeqie 1.5.1+git20200723

=== debian/changelog ===
geeqie (1:1.5.1+git20200723-2) unstable; urgency=medium

  * Fix version number in patch

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 23 Jul 2020 21:14:03 +0200

geeqie (1:1.5.1+git20200723-1) unstable; urgency=medium

  * New upstream git snapshot 1.5.1+git20200723

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 23 Jul 2020 20:16:21 +0200

geeqie (1:1.5.1+git20200708-2) unstable; urgency=medium

  * Fix failing build due to removed files

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 23 Jul 2020 18:22:55 +0200

geeqie (1:1.5.1+git20200708-1) unstable; urgency=medium

  * Update README.Debian - mention GDK_CORE_DEVICE_EVENT, remove obsolete 
    info about gqview
  * New upstream git snapshot 1.5.1+git20200708 - Fixes rendering
    under wayland (Closes: #964441)
  * Remove patches applied upstream:
      0001-Fix-710-Apply-the-orientation-to-image-content-not-w.patch
      0002-Fix-736-Please-migrate-from-gnome-doc-tool-to-yelp-b.patch
      0004-Fix-741-Crash-when-creating-new-dir-with-same-name-a.patch
      fix_multiple_definitions_with_gcc_10.patch
  * Refresh patch 0003-Remove-changelog-from-menu-item.patch
  * Add patch to fix version number on git snapshot and
    add Forwarded: not-needed to silence lintian

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 23 Jul 2020 16:40:57 +0200

geeqie (1:1.5.1-11) unstable; urgency=medium

  * Build GTK 3 version (Closes: #904976)
  * Depend on libwebp for webp images
  * Depend on libdjvulibre for DjVu images
  * Depend on libopenjp2-7-dev for JP2 images
  * Depend on libchaimplain-0.12 for map support
  * Depend on libpoppler-glib-dev for pdf support

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 20 Jun 2020 20:08:24 +0200

geeqie (1:1.5.1-10) unstable; urgency=medium

  * Add dependency on libheif-dev for heif support
  * Set upstream metadata fields: Bug-Database

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 16 Jun 2020 14:13:46 +0200

geeqie (1:1.5.1-9) unstable; urgency=medium

  * Fix multiple definitions errors on gcc-10 (Closes: #957266)
  * Add metadata for upstream git repository

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 18 Apr 2020 16:07:42 +0200

geeqie (1:1.5.1-8) unstable; urgency=medium

  * Add patch to fix crash if file exists when try to create a folder
    with same name (Closes: #948293)
  * Update to Standards-Version 4.5.0 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 02 Feb 2020 17:36:39 +0100

geeqie (1:1.5.1-7) unstable; urgency=medium

  * Source upload, otherwise package won't migrate

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 08 Jan 2020 04:07:06 +0100

geeqie (1:1.5.1-6) unstable; urgency=medium

  * Fix breaks and replaces fields, add missing epoch (Closes: #947822)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 07 Jan 2020 16:53:53 +0100

geeqie (1:1.5.1-5) unstable; urgency=medium

  * Add patch to remove changelog from menu, and remove it from compression
    exclusions (Closes: #947823)
  * Remove unused lintian override for uncompressed changelog
  * Remove COPYING from geeqie-common - fixes lintian extra-license-file

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 01 Jan 2020 16:39:56 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# build simple version first #
override_dh_auto_configure:
	dh_auto_configure  -- \
		--with-htmldir=/usr/share/doc/geeqie/html \
		--with-readmedir=/usr/share/doc/geeqie-common/ \
		--enable-lirc \
		--enable-gtk3

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/geeqie/html
	dh_auto_install
	rm -f \
		$(CURDIR)/debian/tmp/usr/share/geeqie/template.desktop \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/README.lirc \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/TODO \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/README.md \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/COPYING \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/AUTHORS

override_dh_compress:
	# Readme is shown from program, do not compress it
	dh_compress -pgeeqie -XREADME -XAUTHORS -XCOPYING usr/share/doc/geeqie/changelog.Debian
	dh_compress -pgeeqie-common -XREADME -XAUTHORS -XCOPYING usr/share/doc/geeqie-common/changelog.Debian

override_dh_strip:
	dh_strip -a --ddeb-migration='geeqie-dbg (<< 1:1.2.3-1~)'

override_dh_autoreconf:
	dh_autoreconf
	intltoolize --copy --force --automake

override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

## geeqie 1.5.1+git20200808-2a27c9ab

=== debian/changelog ===
geeqie (1:1.5.1+git20200808-2a27c9ab-1) unstable; urgency=medium

  * New upstream git snapshot 1.5.1+git20200808-2a27c9ab
    - Fixes problem where geeqie won't start if clutter is
    unable to init, by adding option --disable-clutter, please
    try using this option if geeqie fails to start.
    (Closes: #966509)
  * Remove trailing whitespace in changelog
  * Modify patch to fix version number
  * Install upstream changelogs and appdata

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 08 Aug 2020 20:24:32 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/(alpha|beta|rc)/~$1/,pgpsigurlmangle=s/$/.asc/" \
    http://geeqie.org/ geeqie-(.*)\.tar\.xz

## geeqie 1.6

=== debian/changelog ===
geeqie (1:1.6-9+deb11u1) bullseye; urgency=medium

  * Add patch to fix Ctrl click inside of a block selection

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 23 Mar 2022 11:40:44 +0100

geeqie (1:1.6-9) unstable; urgency=medium

  * Remove ufraw and ufraw-batch from recommends/suggests 
    (Closes: #989186)

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 27 May 2021 23:43:23 +0200

geeqie (1:1.6-8) unstable; urgency=medium

  * Add patch to make image visible on wayland too, independent on
    if we are using the clutter library or not
    (Closes: #983207, #977189)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 09 Mar 2021 20:17:40 +0100

geeqie (1:1.6-7) unstable; urgency=medium

  * Add patch fixing regression --remote option failing
    (Closes: #983546)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 27 Feb 2021 13:36:57 +0100

geeqie (1:1.6-6) unstable; urgency=medium

  * Add patch to fix which image rotatation-keys affect
    (Closes: #887100, #919315)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 16 Jan 2021 15:05:21 +0100

geeqie (1:1.6-5) unstable; urgency=medium

  * No-change source upload

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 09 Jan 2021 15:37:11 +0100

geeqie (1:1.6-4) unstable; urgency=medium

  * Add patch to fix segfault on X with clutter
    (Closes: #979463, #979561, #971403)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 09 Jan 2021 13:47:51 +0100

geeqie (1:1.6-3) unstable; urgency=medium

  * Add patch to make remembering window positions and workspaces optional
    (Closes: #977139)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 13 Dec 2020 13:08:57 +0100

geeqie (1:1.6-2) unstable; urgency=medium

  * Add patch to fix running on wayland

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 10 Dec 2020 19:16:10 +0100

geeqie (1:1.6-1) unstable; urgency=medium

  * New upstream version 1.6
    - Don't scan root file system recursively (Closes: #976145)
  * d/upstream/metadata: Fix Repository-Browser tag
  * Remove patch fixing version number (not needed)
  * Upgrade to Standards Version 4.5.1
  * Use debian watch version 4
  * Use debhelper-compat 13
  * Remove dh_strip call - symbol migration complete

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 03 Dec 2020 15:00:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Andreas Rönnquist <gusnan@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libtool,
                autoconf,
                automake,
-               libgtk2.0-dev,
+               libgtk-3-dev,
                libexiv2-dev,
                liblcms2-dev,
                liblircclient-dev,
@@ -16,9 +16,15 @@
                libjpeg-dev,
                liblua5.1-0-dev,
                libffmpegthumbnailer-dev,
+               libheif-dev,
+               libwebp-dev,
+               libdjvulibre-dev,
+               libopenjp2-7-dev,
+               libchamplain-gtk-0.12-dev,
+               libpoppler-glib-dev,
                yelp-tools
 Build-Conflicts: libexiv2-dev (= 0.19-2)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/geeqie
 Vcs-Git: https://salsa.debian.org/debian/geeqie.git
 Homepage: http://geeqie.org/
@@ -32,7 +38,6 @@
          sensible-utils
 Recommends: exiftran,
             exiv2,
-            ufraw-batch,
             zenity,
             imagemagick,
             librsvg2-common,
@@ -40,10 +45,9 @@
 Suggests: gimp,
           xpaint,
           geeqie-dbg,
-          libjpeg-progs,
-          ufraw
-Replaces: gqview, geeqie-common (<= 1.5.1-2)
-Breaks: geeqie-common (<= 1.5.1-2)
+          libjpeg-progs
+Replaces: gqview, geeqie-common (<= 1:1.5.1-2)
+Breaks: geeqie-common (<= 1:1.5.1-2)
 Description: image viewer using GTK+
  Geeqie is a browser for graphics files offering single click viewing of
  your graphics files. It includes thumbnail view, zoom, filtering

=== debian/watch ===
version=4
opts="uversionmangle=s/(alpha|beta|rc)/~$1/,pgpsigurlmangle=s/$/.asc/" \
    http://geeqie.org/ geeqie-(.*)\.tar\.xz

## geeqie 1.6+git20210904

=== debian/changelog ===
geeqie (1:1.6+git20210904-2) unstable; urgency=medium

  * Add patch to fix folder to look for README.md
  * Update link in README.Debian to gtk3 x11 stuff

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 05 Sep 2021 17:19:06 +0200

geeqie (1:1.6+git20210904-1) unstable; urgency=medium

  * New upstream version 1.6+git20210904
    - Fixes stereo side-by-side mode (Closes: #988273)
  * Update watch file to check github
  * Remove patches
    - 0002-Ref-539-Run-time-check-on-GDK-display-backend.patch
    - 0003-Fix-832-Geeqie-remembers-desktop.patch
    - 0004-Fix-829-segfault-with-clutter-gtk.patch
    - 0005-Fix-822-The-image-rotation-keys-and-affect-the-wrong.patch
    - 0006-Fix-860-871-remote-and-slideshow-on-startup.patch
    - 0007-Fix-644-Images-fail-to-render-on-MacOS.patch
    all applied upstream
  * Add patch to fix version number

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 04 Sep 2021 20:08:55 +0200

## geeqie 1.6+git20211128

=== debian/changelog ===
geeqie (1:1.6+git20211128-2) unstable; urgency=medium

  * Add patch to fix building on HURD
  * Build depend on liblirc-dev instead of liblircclient-dev

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 07 Dec 2021 00:15:47 +0100

geeqie (1:1.6+git20211128-1) unstable; urgency=medium

  * New upstream version 1.6+git20211128
  * Update git snapshot version number in patch
  * Remove suggests on geeqie-dbg (Not needed)
  * Upgrade Standards-Version to 4.6.0.1 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 29 Nov 2021 01:24:05 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libgtk-3-dev,
                libexiv2-dev,
                liblcms2-dev,
-               liblircclient-dev,
+               liblirc-dev,
                intltool,
                imagemagick,
                libtiff-dev,
@@ -24,7 +24,7 @@
                libpoppler-glib-dev,
                yelp-tools
 Build-Conflicts: libexiv2-dev (= 0.19-2)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/debian/geeqie
 Vcs-Git: https://salsa.debian.org/debian/geeqie.git
 Homepage: http://geeqie.org/
@@ -44,7 +44,6 @@
             cups-bsd | lpr
 Suggests: gimp,
           xpaint,
-          geeqie-dbg,
           libjpeg-progs
 Replaces: gqview, geeqie-common (<= 1:1.5.1-2)
 Breaks: geeqie-common (<= 1:1.5.1-2)

## geeqie 1.6+git20220101

=== debian/changelog ===
geeqie (1:1.6+git20220101-2) unstable; urgency=medium

  * Remove build-dep on libomp-dev, package removed from Debian

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 01 Jan 2022 15:46:39 +0100

geeqie (1:1.6+git20220101-1) unstable; urgency=medium

  * New upstream git snapshot 1.6+git20220101
  * Remove patch 0004-Fix-building-on-HURD.patch applied upstream
  * Update patch 0002-Fix-version-number-for-git-snapshot.patch - update with
    current version information
  * Add dependencies on libraw and libomp for CR3 images
  * Refresh patches

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 01 Jan 2022 13:04:32 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
                libopenjp2-7-dev,
                libchamplain-gtk-0.12-dev,
                libpoppler-glib-dev,
+               libraw-dev,
                yelp-tools
 Build-Conflicts: libexiv2-dev (= 0.19-2)
 Standards-Version: 4.6.0.1

## geeqie 1.6+git20220106

=== debian/changelog ===
geeqie (1:1.6+git20220106-2) unstable; urgency=medium

  * Update 0002-Fix-version-number-for-git-snapshot.patch 
    with proper version number

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 06 Jan 2022 15:30:52 +0100

geeqie (1:1.6+git20220106-1) unstable; urgency=medium

  * New upstream git snapshot 1.6+git20220106
  * Remove patch 0004-Bug-fix-Seg-fault-view-menu.patch - 
    applied upstream
  * Update copyright years for debian packaging
  * Add build-depends on libarchive-dev

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 06 Jan 2022 14:05:04 +0100

geeqie (1:1.6+git20220101-3) unstable; urgency=medium

  * Add patch to fix crash on View menu

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 03 Jan 2022 14:55:20 +0100

## geeqie 1.7.2

=== debian/changelog ===
geeqie (1:1.7.2-1build1) jammy; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 02 Feb 2022 09:43:21 -0500

geeqie (1:1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2
  * Add new upstream signing key
  * Remove patch fixing version number - not needed

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 25 Jan 2022 19:22:51 +0100

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
                libchamplain-gtk-0.12-dev,
                libpoppler-glib-dev,
                libraw-dev,
+               libarchive-dev,
                yelp-tools
 Build-Conflicts: libexiv2-dev (= 0.19-2)
 Standards-Version: 4.6.0.1

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/geeqie-v?(\d\S+)\.tar\.xz/geeqie-$1\.tar\.xz/,\
pgpsigurlmangle=s/(\d\S+)\.tar\.xz/$1\.tar\.xz\.asc/ \
https://github.com/BestImageViewer/geeqie/releases/ download/\S+/geeqie-(\d\S+)\.tar\.xz

## geeqie 1.7.3

=== debian/changelog ===
geeqie (1:1.7.3-1) unstable; urgency=medium

  * New upstream version 1.7.3
  * Add build depends on libgspell-1-dev

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 12 Apr 2022 16:52:56 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
                libopenjp2-7-dev,
                libchamplain-gtk-0.12-dev,
                libpoppler-glib-dev,
+               libgspell-1-dev,
                libraw-dev,
                libarchive-dev,
                yelp-tools

## geeqie 2.0.1

=== meson_options.txt ===
# This file is a part of Geeqie project (https://www.geeqie.org/).
# Copyright (C) 2008 - 2022 The Geeqie Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# These gq_* paths are used relative to /prefix/ e.g.
#               prefix
# gq_bindir -> /user/local / 'lib/geeqie'
# gq_helpdir -> /user/local / 'share/doc/geeqie'

# Override the default values set in meson.build
option('gq_appdir', type : 'string', value : '', description : 'Location of application data')
option('gq_bindir', type : 'string', value : '', description : 'Location of plugin scripts and executables')
option('gq_helpdir', type : 'string', value : '', description : 'Location of documentation files')
option('gq_htmldir', type : 'string', value : '', description : 'Location of html documentation')
option('gq_localedir', type : 'string', value : '', description : 'Location where the catalogs will be installed')

option('archive', type : 'feature', value : 'auto', description : 'archive files e.g. zip, gz')
option('cms', type : 'feature', value : 'auto', description : 'color management system')
option('djvu', type : 'feature', value : 'auto', description : 'djvu')
option('exiv2', type : 'feature', value : 'auto', description : 'exiv2')
option('videothumbnailer', type : 'feature', value : 'auto', description : 'video thumbnailer')
option('gps-map', type : 'feature', value : 'auto', description : 'gps map')
option('heif', type : 'feature', value : 'auto', description : 'heif')
option('j2k', type : 'feature', value : 'auto', description : 'j2k')
option('jpeg', type : 'feature', value : 'auto', description : 'jpeg')
option('jpegxl', type : 'feature', value : 'auto', description : 'jpegxl')
option('libraw', type : 'feature', value : 'auto', description : 'libraw')
option('lua', type : 'feature', value : 'auto', description : 'lua')
option('pdf', type : 'feature', value : 'auto', description : 'pdf')
option('spell', type : 'feature', value : 'auto', description : 'spelling checks')
option('tiff', type : 'feature', value : 'auto', description : 'tiff')
option('webp', type : 'feature', value : 'auto', description : 'webp')

=== debian/changelog ===
geeqie (1:2.0.1-8) unstable; urgency=medium

  * Re-enable jpeg-xl big-endian architectures again

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 04 Jan 2023 18:43:00 +0100

geeqie (1:2.0.1-7) unstable; urgency=medium

  * Disable jpeg-xl on big-endian architectures

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 22 Dec 2022 13:56:24 +0100

geeqie (1:2.0.1-6) unstable; urgency=medium

  * Add build-depends on libjxl-dev - adds support for the 
    JPEG XL format (Closes: #1026059)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 13 Dec 2022 22:51:38 +0100

geeqie (1:2.0.1-5) unstable; urgency=medium

  [ Andreas Rönnquist ]
  * Fix patch for unresponisve UI causing Thumbnails view to not show
    images unless filename text shown (Closes: #1024092)
  * Use tags instead of releases in watch file
  * Fix using buildflags to properly enable hardening

  [ Debian Janitor ]
  * Trim trailing whitespace.

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 17 Nov 2022 13:32:32 +0100

geeqie (1:2.0.1-4) unstable; urgency=medium

  * Remove dependency on libchamplain-gtk-0.12 (Closes: #1018123)

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 25 Aug 2022 21:55:12 +0200

geeqie (1:2.0.1-3) unstable; urgency=medium

  * Make build reproducible (Closes: #1017945)

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 22 Aug 2022 20:21:42 +0200

geeqie (1:2.0.1-2) unstable; urgency=medium

  * Add patch to fix unresponsive UI when Show marks is enabled
    (Closes: #965339)
  * Don't use numbers on debian patch-queue patches

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 18 Aug 2022 01:25:07 +0200

geeqie (1:2.0.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Andreas Rönnquist ]
  * New upstream gpg signing key
  * New upstream version 2.0.1
  * Drop patch 0003-Fix-folder-to-search-for-README.md.patch - not needed
  * Upgrade liblua dependency to Lua 5.3
  * README.lirc is removed
  * Remvoe autotools, add meson build depends
  * Drop override_dh_autoreconf build target - no need to run intltoolize
  * Add build-depends on xxd
  * Remove Changelog from geeqie.docs
  * Drop override_dh_auto_configure build target
  * Specify full folder for doc items
  * Specify build directory
  * Install README.html in geeqie-common
  * Don't install ChangeLog
  * Fix path for README.html
  * Add build depends on pandoc
  * Upgrade Standards Version to 4.6.1 (No changes required)
  * Build depends on doxygen for lua-api help file
  * Don't install COPYING, fix lintian warning extra-license-file

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 13 Aug 2022 02:18:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libtool,
-               autoconf,
-               automake,
+               meson,
+               cmake,
+               doxygen,
                libgtk-3-dev,
                libexiv2-dev,
                liblcms2-dev,
@@ -14,20 +15,21 @@
                imagemagick,
                libtiff-dev,
                libjpeg-dev,
-               liblua5.1-0-dev,
+               libjxl-dev,
+               liblua5.3-dev,
                libffmpegthumbnailer-dev,
                libheif-dev,
                libwebp-dev,
                libdjvulibre-dev,
                libopenjp2-7-dev,
-               libchamplain-gtk-0.12-dev,
                libpoppler-glib-dev,
                libgspell-1-dev,
                libraw-dev,
                libarchive-dev,
-               yelp-tools
-Build-Conflicts: libexiv2-dev (= 0.19-2)
-Standards-Version: 4.6.0.1
+               pandoc,
+               yelp-tools,
+               xxd
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/geeqie
 Vcs-Git: https://salsa.debian.org/debian/geeqie.git
 Homepage: http://geeqie.org/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --builddirectory=build

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/geeqie/html
	dh_auto_install
	rm -f \
		$(CURDIR)/debian/tmp/usr/share/geeqie/template.desktop \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/TODO \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/README.md \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/COPYING \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/AUTHORS \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/html/lua-api/Geeqie.tag \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/ChangeLog \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/ChangeLog.html

override_dh_compress:
	# Readme is shown from program, do not compress it
	dh_compress -pgeeqie -XREADME -XAUTHORS -XCOPYING usr/share/doc/geeqie/changelog.Debian
	dh_compress -pgeeqie-common -XREADME -XAUTHORS -XCOPYING usr/share/doc/geeqie-common/changelog.Debian

=== debian/watch ===
version=4
opts="\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//, \
    pgpsigurlmangle=s/(\d\S+)\.tar\.xz/$1\.tar\.xz\.asc/ \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/geeqie-$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#geeqie-$1.tar.gz#" \
https://github.com/BestImageViewer/geeqie/tags .*/releases/tag/v?@ANY_VERSION@

## geeqie 2.2

=== meson_options.txt ===
--- 
+++ 
@@ -25,17 +25,25 @@
 
 option('archive', type : 'feature', value : 'auto', description : 'archive files e.g. zip, gz')
 option('cms', type : 'feature', value : 'auto', description : 'color management system')
+option('devel', type : 'feature', value : 'disabled', description : 'developer mode')
+option('doxygen', type : 'feature', value : 'auto', description : 'lua api help file')
 option('djvu', type : 'feature', value : 'auto', description : 'djvu')
+option('evince', type : 'feature', value : 'auto', description : 'print preview')
+option('execinfo', type : 'feature', value : 'auto', description : 'execinfo.h')
 option('exiv2', type : 'feature', value : 'auto', description : 'exiv2')
-option('videothumbnailer', type : 'feature', value : 'auto', description : 'video thumbnailer')
+option('git', type : 'feature', value : 'auto', description : 'lua-api and changelog.html')
 option('gps-map', type : 'feature', value : 'auto', description : 'gps map')
+option('gtk4', type : 'feature', value : 'disabled', description : 'gtk4 - do not use')
 option('heif', type : 'feature', value : 'auto', description : 'heif')
 option('j2k', type : 'feature', value : 'auto', description : 'j2k')
 option('jpeg', type : 'feature', value : 'auto', description : 'jpeg')
 option('jpegxl', type : 'feature', value : 'auto', description : 'jpegxl')
 option('libraw', type : 'feature', value : 'auto', description : 'libraw')
 option('lua', type : 'feature', value : 'auto', description : 'lua')
+option('pandoc', type : 'feature', value : 'auto', description : 'README.html')
 option('pdf', type : 'feature', value : 'auto', description : 'pdf')
 option('spell', type : 'feature', value : 'auto', description : 'spelling checks')
 option('tiff', type : 'feature', value : 'auto', description : 'tiff')
+option('videothumbnailer', type : 'feature', value : 'auto', description : 'video thumbnailer')
 option('webp', type : 'feature', value : 'auto', description : 'webp')
+option('yelp-build', type : 'feature', value : 'auto', description : 'help files')

=== debian/changelog ===
geeqie (1:2.2-2ubuntu0.1) noble; urgency=medium

  * Add patch to fix crashing when hiding file list (LP: #2071729)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 07 Jan 2025 14:15:50 +0100

geeqie (1:2.2-2build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:39:38 +0000

geeqie (1:2.2-2build3) noble; urgency=medium

  * No-change rebuild against .

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 09:35:43 +1300

geeqie (1:2.2-2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:39:08 +0000

geeqie (1:2.2-2build1) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:20:57 +0000

geeqie (1:2.2-2) unstable; urgency=medium

  * Add depends on webp-pixbuf-loader (Closes: #1064383)
  * Add patch 
    Fix-1236-Window-Layouts-with-vertical-split-are-shifted-t.patch 
    (Closes: #1064493)

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 23 Feb 2024 14:36:00 +0100

geeqie (1:2.2-1) unstable; urgency=medium

  * New upstream version 2.2
  * Remove patch Add-loongarch64-support.patch - Applied upstream
  * Refresh patches
  * Fix installing desktop file
  * Mark patch Remove-changelog-from-menu-item.patch: Forwarded: not-needed
  * Add patch to add keywords to the desktop file
  * Update copyright year for debian packaging
  * Add patch Fix-execute-permissions-for-plugins-geocode-parameters.aw.patch

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 27 Jan 2024 14:22:52 +0100

geeqie (1:2.1-2) unstable; urgency=medium

  * Add webp-pixbuf-loader to build-dependencies
  * Add patch to add loongarch64 support (Closes: #1058719)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 19 Dec 2023 14:19:34 +0100

geeqie (1:2.1-1) unstable; urgency=medium

  * Update debian/watch
  * New upstream version 2.1
  * Refresh patches
  * Remove patch Fix-1023-Unresponsive-UI-when-Show-Marks-is-enabled.patch
  * No need to install AUTHORS file
  * Install SVG icon too
  * d/changelog: remove trailing whitespace
  * Update Debian copyright to 2023
  * Remove unused include-binaries
  * Upgrade to Standards Version 4.6.2 (No changes required)
  * Add patch to fix lintian warning privacy-breach-generic
  * Add lintian override for false positive spelling error
    (ment/meant)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 10 Sep 2023 11:21:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: geeqie
-Maintainer: Andreas Rönnquist <gusnan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Rönnquist <gusnan@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -27,9 +28,10 @@
                libraw-dev,
                libarchive-dev,
                pandoc,
+               webp-pixbuf-loader,
                yelp-tools,
                xxd
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/geeqie
 Vcs-Git: https://salsa.debian.org/debian/geeqie.git
 Homepage: http://geeqie.org/
@@ -40,7 +42,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          geeqie-common (= ${source:Version}),
-         sensible-utils
+         sensible-utils,
+         webp-pixbuf-loader
 Recommends: exiftran,
             exiv2,
             zenity,
